install.packages("Hmisc")
# Load Hmisc package
library("Hmisc")

# Read csv
my_data1 <- read.csv("filepath/som_result.csv", check.names=FALSE)

# Replace period in column names with space
require(stringr)

# Remove fid column 
my_data2 <- my_data1[,-1]

# Correlate the data
res <- cor(my_data2)
round(res, 2)

# Create the correlation matrix  
library(corrplot)
corrplot(res, type = "upper", 
         tl.col = "black", tl.srt = 45)
title("Correlation Matrix Title", line = 1, adj = 0.5)